Propose a change
curl --request POST \
--url https://api.example.com/api/repo-proposals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo_id": "<string>",
"title": "<string>",
"summary": "",
"base_ref": "",
"edits": [
{
"path": "<string>",
"operation": "modify",
"find": "<string>",
"replace": "<string>",
"replace_all": false,
"content": "<string>",
"bytes": 0,
"diff": "",
"stale": false
}
]
}
'import requests
url = "https://api.example.com/api/repo-proposals"
payload = {
"repo_id": "<string>",
"title": "<string>",
"summary": "",
"base_ref": "",
"edits": [
{
"path": "<string>",
"operation": "modify",
"find": "<string>",
"replace": "<string>",
"replace_all": False,
"content": "<string>",
"bytes": 0,
"diff": "",
"stale": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repo_id: '<string>',
title: '<string>',
summary: '',
base_ref: '',
edits: [
{
path: '<string>',
operation: 'modify',
find: '<string>',
replace: '<string>',
replace_all: false,
content: '<string>',
bytes: 0,
diff: '',
stale: false
}
]
})
};
fetch('https://api.example.com/api/repo-proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/repo-proposals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'repo_id' => '<string>',
'title' => '<string>',
'summary' => '',
'base_ref' => '',
'edits' => [
[
'path' => '<string>',
'operation' => 'modify',
'find' => '<string>',
'replace' => '<string>',
'replace_all' => false,
'content' => '<string>',
'bytes' => 0,
'diff' => '',
'stale' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/repo-proposals"
payload := strings.NewReader("{\n \"repo_id\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"\",\n \"base_ref\": \"\",\n \"edits\": [\n {\n \"path\": \"<string>\",\n \"operation\": \"modify\",\n \"find\": \"<string>\",\n \"replace\": \"<string>\",\n \"replace_all\": false,\n \"content\": \"<string>\",\n \"bytes\": 0,\n \"diff\": \"\",\n \"stale\": false\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/repo-proposals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"repo_id\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"\",\n \"base_ref\": \"\",\n \"edits\": [\n {\n \"path\": \"<string>\",\n \"operation\": \"modify\",\n \"find\": \"<string>\",\n \"replace\": \"<string>\",\n \"replace_all\": false,\n \"content\": \"<string>\",\n \"bytes\": 0,\n \"diff\": \"\",\n \"stale\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/repo-proposals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"repo_id\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"\",\n \"base_ref\": \"\",\n \"edits\": [\n {\n \"path\": \"<string>\",\n \"operation\": \"modify\",\n \"find\": \"<string>\",\n \"replace\": \"<string>\",\n \"replace_all\": false,\n \"content\": \"<string>\",\n \"bytes\": 0,\n \"diff\": \"\",\n \"stale\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"repo_id": "<string>",
"owner": "<string>",
"title": "<string>",
"status": "<string>",
"created_at": "<string>",
"repo_name": "",
"remote": "<string>",
"provider": "<string>",
"repo_version": "",
"summary": "",
"base_ref": "",
"branch_name": "",
"decided_by": "<string>",
"decided_at": "<string>",
"decided_reason": "<string>",
"external_url": "<string>",
"error": "<string>",
"edits": [
{
"path": "<string>",
"operation": "modify",
"find": "<string>",
"replace": "<string>",
"replace_all": false,
"content": "<string>",
"bytes": 0,
"diff": "",
"stale": false
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Code proposals
Propose a change
Write a change against a repository as a draft. Nothing reaches the code host until somebody approves it.
POST
/
api
/
repo-proposals
Propose a change
curl --request POST \
--url https://api.example.com/api/repo-proposals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo_id": "<string>",
"title": "<string>",
"summary": "",
"base_ref": "",
"edits": [
{
"path": "<string>",
"operation": "modify",
"find": "<string>",
"replace": "<string>",
"replace_all": false,
"content": "<string>",
"bytes": 0,
"diff": "",
"stale": false
}
]
}
'import requests
url = "https://api.example.com/api/repo-proposals"
payload = {
"repo_id": "<string>",
"title": "<string>",
"summary": "",
"base_ref": "",
"edits": [
{
"path": "<string>",
"operation": "modify",
"find": "<string>",
"replace": "<string>",
"replace_all": False,
"content": "<string>",
"bytes": 0,
"diff": "",
"stale": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repo_id: '<string>',
title: '<string>',
summary: '',
base_ref: '',
edits: [
{
path: '<string>',
operation: 'modify',
find: '<string>',
replace: '<string>',
replace_all: false,
content: '<string>',
bytes: 0,
diff: '',
stale: false
}
]
})
};
fetch('https://api.example.com/api/repo-proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/repo-proposals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'repo_id' => '<string>',
'title' => '<string>',
'summary' => '',
'base_ref' => '',
'edits' => [
[
'path' => '<string>',
'operation' => 'modify',
'find' => '<string>',
'replace' => '<string>',
'replace_all' => false,
'content' => '<string>',
'bytes' => 0,
'diff' => '',
'stale' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/repo-proposals"
payload := strings.NewReader("{\n \"repo_id\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"\",\n \"base_ref\": \"\",\n \"edits\": [\n {\n \"path\": \"<string>\",\n \"operation\": \"modify\",\n \"find\": \"<string>\",\n \"replace\": \"<string>\",\n \"replace_all\": false,\n \"content\": \"<string>\",\n \"bytes\": 0,\n \"diff\": \"\",\n \"stale\": false\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/repo-proposals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"repo_id\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"\",\n \"base_ref\": \"\",\n \"edits\": [\n {\n \"path\": \"<string>\",\n \"operation\": \"modify\",\n \"find\": \"<string>\",\n \"replace\": \"<string>\",\n \"replace_all\": false,\n \"content\": \"<string>\",\n \"bytes\": 0,\n \"diff\": \"\",\n \"stale\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/repo-proposals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"repo_id\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"\",\n \"base_ref\": \"\",\n \"edits\": [\n {\n \"path\": \"<string>\",\n \"operation\": \"modify\",\n \"find\": \"<string>\",\n \"replace\": \"<string>\",\n \"replace_all\": false,\n \"content\": \"<string>\",\n \"bytes\": 0,\n \"diff\": \"\",\n \"stale\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"repo_id": "<string>",
"owner": "<string>",
"title": "<string>",
"status": "<string>",
"created_at": "<string>",
"repo_name": "",
"remote": "<string>",
"provider": "<string>",
"repo_version": "",
"summary": "",
"base_ref": "",
"branch_name": "",
"decided_by": "<string>",
"decided_at": "<string>",
"decided_reason": "<string>",
"external_url": "<string>",
"error": "<string>",
"edits": [
{
"path": "<string>",
"operation": "modify",
"find": "<string>",
"replace": "<string>",
"replace_all": false,
"content": "<string>",
"bytes": 0,
"diff": "",
"stale": false
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A change to write against a repository, as a draft.
The repository's registry id, or its name.
One line, used as the branch name.
Maximum string length:
200Why the change, for the reviewer.
Maximum string length:
8000Branch to start from; blank is default.
Maximum string length:
200The files it changes. At least one.
Show child attributes
Show child attributes
Response
Successful Response
A proposal as a page reads it.
Show child attributes
Show child attributes
Was this page helpful?

